(Incoming) Remove - mobile app

This event is sent to your server when a player try to update a contact from the mobile application.

WebSocket event

Event name: contacts@remove

⚠️ Response required / expires after 60 seconds

Event data received

KeyTypeDescription
custom_idstringUnique identifier from your services (1-64 characters)
contact_uidstringPhone number of the contact to delete (1-32 characters)

Expected WebSocket response

You need to emit an event with the following name and data:

Response event name: contacts@remove/response

Response object

KeyTypeExtraDescription
custom_idstring
required
Unique identifier from your services (1-64 characters)
contact_uidstring
required
Unique identifier of the contact linked to this phone_number and custom_id (example: the column "id" in your database) (1-32 characters)

Important

Response object must respect every type rule. If any structure isn't respected, your request will be rejected for "bad-request".

Response example

I received a request for the following custom_id = 1234 and contact_uid = "8756"

My response will be:

{
  "custom_id": "1234",
  "contact_uid": "8756"
}

Response error

You must notify iPear if the data does not comply with your verification processes. Response Error event name: contacts@remove/error

Parameters

KeyTypeExtraDescription
custom_idstring
required
Unique identifier from your services (1-64 characters)
contact_uidstring
required
Unique id of the contact to delete (1-32 characters)
errorstring (Error list)
required
Available errors for this case: player-not-found, contact-not-found, unknown

Example

My player with the following ID: 1234 has no contact details with the UID 8756

{
  "custom_id": "1234",
  "contact_uid": "8756",
  "error": "contact-not-found"
}

What's next?

Outgoing events

Powered by Doctave